Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SCHUGraphic Class Referencefinal

Internal: virtual class to store a SCHU graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SCHUGraphic:

## Public Member Functions
| SCHUGraphic (int id)
| constructor
| ~SCHUGraphic () final
| destructor
std::string | getName () const final
| return the object name
std::string | print () const final
| basic print function
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) final
| try to send the graphic to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDRUserData
| SDRUserData (int id=-1)
std::string | getName () const override
| return the object name
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes
int | m_id
| the id
int | m_adjust
| the adjust data
int | m_orientation
| the orientation
int | m_column
| the column
int | m_row
| the row
double | m_factor
| the factor
std::shared_ptr< SdrGraphicGroup > | m_group
| the group node
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SCHUGraphic const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a SCHU graphic.

## Constructor & Destructor Documentation

## ◆ SCHUGraphic()

StarObjectSmallGraphicInternal::SCHUGraphic::SCHUGraphic | ( | int | id | ) |
| inline explicit

constructor

## ◆ ~SCHUGraphic()

StarObjectSmallGraphicInternal::SCHUGraphic::~SCHUGraphic | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getName()

std::string StarObjectSmallGraphicInternal::SCHUGraphic::getName | ( |  | ) | const
| inline final virtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

## ◆ print()

std::string StarObjectSmallGraphicInternal::SCHUGraphic::print | ( |  | ) | const
| inline final virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## ◆ send()

bool StarObjectSmallGraphicInternal::SCHUGraphic::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage )
| inline final virtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SCHUGraphic const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_adjust

int StarObjectSmallGraphicInternal::SCHUGraphic::m_adjust

the adjust data

## ◆ m_column

int StarObjectSmallGraphicInternal::SCHUGraphic::m_column

the column

## ◆ m_factor

double StarObjectSmallGraphicInternal::SCHUGraphic::m_factor

the factor

## ◆ m_group

std::shared_ptr<SdrGraphicGroup> StarObjectSmallGraphicInternal::SCHUGraphic::m_group

the group node

Referenced by send().

## ◆ m_id

int StarObjectSmallGraphicInternal::SCHUGraphic::m_id

the id

## ◆ m_orientation

int StarObjectSmallGraphicInternal::SCHUGraphic::m_orientation

the orientation

## ◆ m_row

int StarObjectSmallGraphicInternal::SCHUGraphic::m_row

the row

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx